Package gov.nasa.gsfc.sscweb.schema

# Class TraceDescription

java.lang.Object
gov.nasa.gsfc.sscweb.schema.TraceDescription

public class TraceDescription extends Object
<p>Java class for TraceDescription complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="TraceDescription"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Location" type="{http://sscweb.gsfc.nasa.gov/schema}Coordinates"/> <element name="ArcLength" type="{http://www.w3.org/2001/XMLSchema}double"/> <element name="Target" type="{http://sscweb.gsfc.nasa.gov/schema}TraceTarget"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `arcLength`
  Satellite's trace arc length.
  `protected Coordinates`
  `location`
  Satellite's trace location.
  `protected TraceTarget`
  `target`
  Endpoint target of trace.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceDescription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getArcLength()`
  Satellite's trace arc length.
  `Coordinates`
  `getLocation()`
  Satellite's trace location.
  `TraceTarget`
  `getTarget()`
  Endpoint target of trace.
  `void`
  `setArcLength(double value)`
  Sets the value of the arcLength property.
  `void`
  `setLocation(Coordinates value)`
  Sets the value of the location property.
  `void`
  `setTarget(TraceTarget value)`
  Sets the value of the target property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### location

    protected Coordinates location
    Satellite's trace location.

  - ### arcLength

    protected double arcLength
    Satellite's trace arc length.

  - ### target

    protected TraceTarget target
    Endpoint target of trace.

- ## Constructor Details

  - ### TraceDescription

    public TraceDescription()

- ## Method Details

  - ### getLocation

    public Coordinates getLocation()
    Satellite's trace location.
    Returns:
      possible object is `Coordinates`

  - ### setLocation

    public void setLocation(Coordinates value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `Coordinates`
    See Also:
      - `getLocation()`

  - ### getArcLength

    public double getArcLength()
    Satellite's trace arc length.

  - ### setArcLength

    public void setArcLength(double value)
    Sets the value of the arcLength property.

  - ### getTarget

    public TraceTarget getTarget()
    Endpoint target of trace.
    Returns:
      possible object is `TraceTarget`

  - ### setTarget

    public void setTarget(TraceTarget value)
    Sets the value of the target property.
    Parameters:
      `value` - allowed object is `TraceTarget`
    See Also:
      - `getTarget()`